# pulpcore-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 3.0.0rc2
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pulpcore.client.pulpcore 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pulpcore.client.pulpcore
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import pulpcore.client.pulpcore
from pulpcore.client.pulpcore.rest import ApiException
from pprint import pprint

configuration = pulpcore.client.pulpcore.Configuration()
# Configure HTTP basic authorization: Basic
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = pulpcore.client.pulpcore.ArtifactsApi(pulpcore.client.pulpcore.ApiClient(configuration))
file = '/path/to/file' # file | The stored file. (optional)
size = 56 # int | The size of the file in bytes. (optional)
md5 = 'md5_example' # str | The MD5 checksum of the file if available. (optional)
sha1 = 'sha1_example' # str | The SHA-1 checksum of the file if available. (optional)
sha224 = 'sha224_example' # str | The SHA-224 checksum of the file if available. (optional)
sha256 = 'sha256_example' # str | The SHA-256 checksum of the file if available. (optional)
sha384 = 'sha384_example' # str | The SHA-384 checksum of the file if available. (optional)
sha512 = 'sha512_example' # str | The SHA-512 checksum of the file if available. (optional)
upload = 'upload_example' # str | An href for an Upload. (optional)

try:
    # Create an artifact
    api_response = api_instance.artifacts_create(file=file, size=size, md5=md5, sha1=sha1, sha224=sha224, sha256=sha256, sha384=sha384, sha512=sha512, upload=upload)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ArtifactsApi->artifacts_create: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:24817*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ArtifactsApi* | [**artifacts_create**](docs/ArtifactsApi.md#artifacts_create) | **POST** /pulp/api/v3/artifacts/ | Create an artifact
*ArtifactsApi* | [**artifacts_delete**](docs/ArtifactsApi.md#artifacts_delete) | **DELETE** {artifact_href} | Delete an artifact
*ArtifactsApi* | [**artifacts_list**](docs/ArtifactsApi.md#artifacts_list) | **GET** /pulp/api/v3/artifacts/ | List artifacts
*ArtifactsApi* | [**artifacts_read**](docs/ArtifactsApi.md#artifacts_read) | **GET** {artifact_href} | Inspect an artifact
*OrphansApi* | [**orphans_delete**](docs/OrphansApi.md#orphans_delete) | **DELETE** /pulp/api/v3/orphans/ | Delete orphans
*RepositoriesApi* | [**repositories_create**](docs/RepositoriesApi.md#repositories_create) | **POST** /pulp/api/v3/repositories/ | Create a repository
*RepositoriesApi* | [**repositories_delete**](docs/RepositoriesApi.md#repositories_delete) | **DELETE** {repository_href} | Delete a repository
*RepositoriesApi* | [**repositories_list**](docs/RepositoriesApi.md#repositories_list) | **GET** /pulp/api/v3/repositories/ | List repositories
*RepositoriesApi* | [**repositories_partial_update**](docs/RepositoriesApi.md#repositories_partial_update) | **PATCH** {repository_href} | Partially update a repository
*RepositoriesApi* | [**repositories_read**](docs/RepositoriesApi.md#repositories_read) | **GET** {repository_href} | Inspect a repository
*RepositoriesApi* | [**repositories_update**](docs/RepositoriesApi.md#repositories_update) | **PUT** {repository_href} | Update a repository
*RepositoriesApi* | [**repositories_versions_create**](docs/RepositoriesApi.md#repositories_versions_create) | **POST** {repository_href}versions/ | Create a repository version
*RepositoriesApi* | [**repositories_versions_delete**](docs/RepositoriesApi.md#repositories_versions_delete) | **DELETE** {repository_version_href} | Delete a repository version
*RepositoriesApi* | [**repositories_versions_list**](docs/RepositoriesApi.md#repositories_versions_list) | **GET** {repository_href}versions/ | List repository versions
*RepositoriesApi* | [**repositories_versions_read**](docs/RepositoriesApi.md#repositories_versions_read) | **GET** {repository_version_href} | Inspect a repository version
*StatusApi* | [**status_list**](docs/StatusApi.md#status_list) | **GET** /pulp/api/v3/status/ | Inspect status of Pulp
*TasksApi* | [**tasks_cancel**](docs/TasksApi.md#tasks_cancel) | **POST** {task_href}cancel/ | Cancel a task
*TasksApi* | [**tasks_delete**](docs/TasksApi.md#tasks_delete) | **DELETE** {task_href} | Delete a task
*TasksApi* | [**tasks_list**](docs/TasksApi.md#tasks_list) | **GET** /pulp/api/v3/tasks/ | List tasks
*TasksApi* | [**tasks_read**](docs/TasksApi.md#tasks_read) | **GET** {task_href} | Inspect a task
*UploadsApi* | [**uploads_create**](docs/UploadsApi.md#uploads_create) | **PUT** /pulp/api/v3/uploads/ | Start Upload
*UploadsApi* | [**uploads_create_and_check**](docs/UploadsApi.md#uploads_create_and_check) | **POST** /pulp/api/v3/uploads/ | Create an Upload
*UploadsApi* | [**uploads_delete**](docs/UploadsApi.md#uploads_delete) | **DELETE** {upload_href} | Delete an upload
*UploadsApi* | [**uploads_finish**](docs/UploadsApi.md#uploads_finish) | **POST** {upload_href} | Finish an Upload
*UploadsApi* | [**uploads_list**](docs/UploadsApi.md#uploads_list) | **GET** /pulp/api/v3/uploads/ | List uploads
*UploadsApi* | [**uploads_read**](docs/UploadsApi.md#uploads_read) | **GET** {upload_href} | Inspect an upload
*UploadsApi* | [**uploads_update**](docs/UploadsApi.md#uploads_update) | **PUT** {upload_href} | Continue an Upload
*WorkersApi* | [**workers_list**](docs/WorkersApi.md#workers_list) | **GET** /pulp/api/v3/workers/ | List workers
*WorkersApi* | [**workers_read**](docs/WorkersApi.md#workers_read) | **GET** {worker_href} | Inspect a worker


## Documentation For Models

 - [Artifact](docs/Artifact.md)
 - [AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [ProgressReport](docs/ProgressReport.md)
 - [Repository](docs/Repository.md)
 - [RepositoryVersion](docs/RepositoryVersion.md)
 - [RepositoryVersionCreate](docs/RepositoryVersionCreate.md)
 - [Task](docs/Task.md)
 - [Upload](docs/Upload.md)
 - [Worker](docs/Worker.md)


## Documentation For Authorization


## Basic

- **Type**: HTTP basic authentication


## Author




